Loading...
Searching...
No Matches
hier_block2.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/basic_block.h>`
Include dependency graph for hier_block2.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::hier_block2
| Hierarchical container class for gr::block's and gr::hier_block2's. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Functions

GR_RUNTIME_API hier_block2_sptr | gr::make_hier_block2 (const std::string &name, gr::io_signature::sptr input_signature, gr::io_signature::sptr output_signature)
| public constructor for hier_block2
GR_RUNTIME_API std::string | gr::dot_graph (hier_block2_sptr hierblock2)
| Return hierarchical block's flow graph represented in dot language.